com.sun.jdi

## Class VMDisconnectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jdi.VMDisconnectedException

All Implemented Interfaces:
  Serializable

    public class VMDisconnectedException
    extends RuntimeException

Unchecked exception thrown to indicate that the requested operation cannot be completed because there is no longer a connection to the target VM.

Since:
  1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VMDisconnectedException()`
`VMDisconnectedException(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VMDisconnectedException

    public VMDisconnectedException()

#### VMDisconnectedException

    public VMDisconnectedException(String message)

Copyright © 1999, 2017, Oracle and/or its affiliates. All rights reserved.